// test.cpp - Cadenas de caracteres
#include <iostream>
#include "cadena.h"
using namespace std;

int main()
{
  CCadena a[10], b; // llama al constructor
  char sCadena[] = "abcdef";

  a[0] = "xxx";
  a[2] = a[1] = a[0];
  a[3] = sCadena;
  CCadena x = a[3];
  a[4] = a[0] + sCadena;
  a[5] = "yyy" + CCadena("zzz");
  b = CCadena('/', 10);
  cout << b[4] << '\n';
  cout << "introduce cadena: "; cin >> a[6];
  (a[6] > b) ? cout << a[6] << '\n' : cout << b << '\n';
  if (a[0] == "xxx" && "yyy" > a[3])
    a[7] += "zzz";
  if ("xxx" != a[1] || sCadena < a[2])
    a[8] = a[8] + "fin";
    
  for(int i = 0; i < 10; i++)
    cout << a[i] << " " << a[i].ObtenerLong() << '\n';
}
